libmozjs185-1_0-1.8.5-lp151.19.6.1.armv7hl.rpm


Advertisement

Description

libmozjs185-1_0 - JavaScript library

Property Value
Distribution openSUSE Leap 15.1
Repository Packman all
Package filename libmozjs185-1_0-1.8.5-lp151.19.6.1.armv7hl.rpm
Package name libmozjs185-1_0
Package version 1.8.5
Package release lp151.19.6.1
Package architecture armv7hl
Package type rpm
Category System/Libraries
Homepage http://www.mozilla.org/js/
License MPL-1.1 or GPL-2.0+ or LGPL-2.1+
Maintainer -
Download size 871.37 KB
Installed size 2.84 MB
JavaScript is the Netscape-developed object scripting language used in millions
of web pages and server applications worldwide. Netscape's JavaScript is a
superset of the ECMA-262 Edition 3 (ECMAScript) standard scripting language,
with only mild differences from the published standard.

Alternatives

Package Version Architecture Repository
libmozjs185-1_0-1.8.5-lp151.19.6.1.aarch64.rpm 1.8.5 aarch64 Packman
libmozjs185-1_0-1.8.5-lp151.19.6.1.x86_64.rpm 1.8.5 x86_64 Packman
libmozjs185-1_0 - - -

Requires

Name Value
/sbin/ldconfig -
ld-linux-armhf.so.3 -
ld-linux-armhf.so.3(GLIBC_2.4) -
libc.so.6 -
libc.so.6(GLIBC_2.4) -
libdl.so.2 -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GCC_3.5) -
libm.so.6 -
libm.so.6(GLIBC_2.4) -
libnspr4.so -
libplc4.so -
libplds4.so -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.4) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_ARM_1.3.3) -
libstdc++.so.6(GLIBCXX_3.4) -

Provides

Name Value
libmozjs185-1_0 = 1.8.5-lp151.19.6.1
libmozjs185-1_0(armv7hl-32) = 1.8.5-lp151.19.6.1
libmozjs185.so.1.0 -

Download

Type URL
Mirror packman.inode.at
Binary Package libmozjs185-1_0-1.8.5-lp151.19.6.1.armv7hl.rpm
Source Package js-1.8.5-lp151.19.6.1.src.rpm

Install Howto

  1. Add the Packman repository:
    # zypper addrepo http://packman.inode.at/suse/openSUSE_Leap_15.1/ packman
  2. Install libmozjs185-1_0 rpm package:
    # zypper install libmozjs185-1_0

Files

Path
/usr/lib/libmozjs185.so.1.0
/usr/lib/libmozjs185.so.1.0.0

Changelog

2013-12-15 - uweigand@de.ibm.com
- ppc64le-support.patch: Add support for powerpc64le.
- js-filter.patch: don't try to use the JIT on powerpc64le
2013-08-12 - schwab@suse.de
- js-filter.patch: don't try to use the JIT on aarch64
2013-03-21 - dmueller@suse.com
- fix build on SLE11 (work around SLE's configure macro)
- add missing dependency to devel package
2012-06-28 - adrian@suse.de
- do not enforce wrong build flags on arm (fixes build)
2011-11-10 - dvaleev@suse.com
- fix ppc64 build
2011-06-17 - wr@rosenauer.org
- create package by using "make install"
- use upstream pkg-config file (libjs -> mozjs185)
- avoid __DATE__ and __TIME__ in binaries
2011-06-17 - vuntz@opensuse.org
- Pass --enable-threadsafe to configure, as gjs relies on this.
2011-04-19 - wr@rosenauer.org
- initial openSUSE package

See Also

Package Description
libmozjs185-1_0-64bit-1.8.5-lp151.19.6.1.aarch64_ilp32.rpm JavaScript library
libmp3splt-devel-0.9.2-2.2.aarch64.rpm Library to Split MP3 and Ogg Files
libmp3splt-devel-0.9.2-2.2.armv7hl.rpm Library to Split MP3 and Ogg Files
libmp3splt-devel-0.9.2-lp151.2.1.x86_64.rpm Library to Split MP3 and Ogg Files
libmp3splt0-0.9.2-2.2.aarch64.rpm Library to split MP3 and Ogg Files
libmp3splt0-0.9.2-2.2.armv7hl.rpm Library to split MP3 and Ogg Files
libmp3splt0-0.9.2-lp151.2.1.x86_64.rpm Library to split MP3 and Ogg Files
libmp3splt0-mp3-0.9.2-2.2.aarch64.rpm MP3 Support Plugin for libmp3splt
libmp3splt0-mp3-0.9.2-2.2.armv7hl.rpm MP3 Support Plugin for libmp3splt
libmp3splt0-mp3-0.9.2-lp151.2.1.x86_64.rpm MP3 Support Plugin for libmp3splt
libmp3splt0-ogg-0.9.2-2.2.aarch64.rpm Ogg Support Plugin for libmp3splt
libmp3splt0-ogg-0.9.2-2.2.armv7hl.rpm Ogg Support Plugin for libmp3splt
libmp3splt0-ogg-0.9.2-lp151.2.1.x86_64.rpm Ogg Support Plugin for libmp3splt
libmpeg3-1-1.8-6.2.aarch64.rpm A decoder for many derivatives of MPEG standards
libmpeg3-1-1.8-6.2.armv7hl.rpm A decoder for many derivatives of MPEG standards
Advertisement
Advertisement